<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:41 PST 2017 -->
<title>Serialized Form</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Serialized Form";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="xdc/services/spec/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;xdc.services.spec</h2>
<ul class="blockList">
<li class="blockList"><a name="xdc.services.spec.Atom">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">xdc.services.spec.Atom</a> extends org.antlr.runtime.CommonToken implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-9098288411027945023L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>file</h4>
<pre>java.lang.String file</pre>
</li>
<li class="blockList">
<h4>text</h4>
<pre>java.lang.String text</pre>
</li>
<li class="blockListLast">
<h4>line</h4>
<pre>int line</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Attr">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Attr.html" title="class in xdc.services.spec">xdc.services.spec.Attr</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7469859191145684496L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> name</pre>
</li>
<li class="blockListLast">
<h4>val</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> val</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">xdc.services.spec.Decl</a> extends <a href="xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>3468768778188819860L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>over</h4>
<pre><a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> over</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Arg">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Arg.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Arg</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7298373774659045568L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> type</pre>
</li>
<li class="blockListLast">
<h4>init</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> init</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Config">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Config.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Config</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-3472392753188999914L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> type</pre>
</li>
<li class="blockListLast">
<h4>init</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> init</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Const">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Const.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Const</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-5129490619630763331L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> type</pre>
</li>
<li class="blockListLast">
<h4>init</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> init</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Enum">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Enum.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Enum</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7076604082337550848L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>vals</h4>
<pre>java.util.List&lt;E&gt; vals</pre>
</li>
<li class="blockListLast">
<h4>rep</h4>
<pre><a href="xdc/services/spec/Type.Spec.html" title="class in xdc.services.spec">Type.Spec</a> rep</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.EnumVal">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.EnumVal.html" title="class in xdc.services.spec">xdc.services.spec.Decl.EnumVal</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-3594208666128592956L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>init</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> init</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Extern">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Extern.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Extern</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-5537398406232068500L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> type</pre>
</li>
<li class="blockListLast">
<h4>init</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> init</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Field">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Field.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Field</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1865932903245823181L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>type</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> type</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Fxn">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Fxn</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>4734759580216702060L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> type</pre>
</li>
<li class="blockList">
<h4>args</h4>
<pre>java.util.List&lt;E&gt; args</pre>
</li>
<li class="blockList">
<h4>isVarg</h4>
<pre>boolean isVarg</pre>
</li>
<li class="blockListLast">
<h4>minargc</h4>
<pre>int minargc</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Proxy">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Proxy.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Proxy</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-5207411272617839552L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>sup</h4>
<pre><a href="xdc/services/spec/Sup.html" title="class in xdc.services.spec">Sup</a> sup</pre>
</li>
<li class="blockListLast">
<h4>unit</h4>
<pre><a href="xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a> unit</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Struct">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Struct.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Struct</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>8653474625146200716L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>flds</h4>
<pre>java.util.List&lt;E&gt; flds</pre>
</li>
<li class="blockList">
<h4>fldSizes</h4>
<pre>java.util.List&lt;E&gt; fldSizes</pre>
</li>
<li class="blockListLast">
<h4>uflag</h4>
<pre>boolean uflag</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Decl.Typedef">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Decl.Typedef.html" title="class in xdc.services.spec">xdc.services.spec.Decl.Typedef</a> extends <a href="xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-3286912318315178858L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>type</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> type</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.DocComment">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/DocComment.html" title="class in xdc.services.spec">xdc.services.spec.DocComment</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>7216773336916227011L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>arg</h4>
<pre>java.lang.String arg</pre>
</li>
<li class="blockList">
<h4>body</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> body</pre>
</li>
<li class="blockList">
<h4>mode</h4>
<pre>java.lang.String mode</pre>
</li>
<li class="blockList">
<h4>pid</h4>
<pre>int pid</pre>
</li>
<li class="blockListLast">
<h4>tag</h4>
<pre>java.lang.String tag</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">xdc.services.spec.Expr</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-6252677966391348100L</dd>
</dl>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Array">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Array.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Array</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-4769465389054526623L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>elems</h4>
<pre>java.util.List&lt;E&gt; elems</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Binary">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Binary.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Binary</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-8527302494988163510L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>op</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> op</pre>
</li>
<li class="blockList">
<h4>left</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> left</pre>
</li>
<li class="blockListLast">
<h4>right</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> right</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Cond">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Cond.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Cond</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-3016213789698060325L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>cond</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> cond</pre>
</li>
<li class="blockList">
<h4>left</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> left</pre>
</li>
<li class="blockListLast">
<h4>right</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> right</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Const">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Const.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Const</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>3804334373597760702L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>val</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> val</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Creat">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Creat.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Creat</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5455736916581289951L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>mod</h4>
<pre><a href="xdc/services/spec/Expr.Term.html" title="class in xdc.services.spec">Expr.Term</a> mod</pre>
</li>
<li class="blockListLast">
<h4>args</h4>
<pre>java.util.List&lt;E&gt; args</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Hash">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Hash.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Hash</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5610650247782362148L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>ids</h4>
<pre>java.util.List&lt;E&gt; ids</pre>
</li>
<li class="blockListLast">
<h4>vals</h4>
<pre>java.util.List&lt;E&gt; vals</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Paren">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Paren.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Paren</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-8628875245839027888L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>body</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> body</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Term">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Term.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Term</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>484911847601585871L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>eref</h4>
<pre><a href="xdc/services/spec/Ref.html" title="class in xdc.services.spec">Ref</a> eref</pre>
</li>
<li class="blockListLast">
<h4>val</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> val</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Expr.Unary">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Expr.Unary.html" title="class in xdc.services.spec">xdc.services.spec.Expr.Unary</a> extends <a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-3418172231763962792L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>op</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> op</pre>
</li>
<li class="blockListLast">
<h4>right</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> right</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Import">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Import.html" title="class in xdc.services.spec">xdc.services.spec.Import</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>1L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>star</h4>
<pre>boolean star</pre>
</li>
<li class="blockList">
<h4>uid</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> uid</pre>
</li>
<li class="blockList">
<h4>unit</h4>
<pre><a href="xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a> unit</pre>
</li>
<li class="blockListLast">
<h4>alias</h4>
<pre>java.lang.String alias</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Node">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Node.html" title="class in xdc.services.spec">xdc.services.spec.Node</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>6316800378495184391L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> name</pre>
</li>
<li class="blockList">
<h4>quals</h4>
<pre>java.util.EnumSet&lt;E extends java.lang.Enum&lt;E&gt;&gt; quals</pre>
</li>
<li class="blockList">
<h4>attrs</h4>
<pre>java.util.List&lt;E&gt; attrs</pre>
</li>
<li class="blockList">
<h4>attrMap</h4>
<pre>java.util.Map&lt;K,V&gt; attrMap</pre>
</li>
<li class="blockList">
<h4>parent</h4>
<pre><a href="xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a> parent</pre>
</li>
<li class="blockList">
<h4>summary</h4>
<pre>java.lang.String summary</pre>
</li>
<li class="blockListLast">
<h4>isNodoc</h4>
<pre>boolean isNodoc</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Persist.Fixup">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Persist.Fixup.html" title="class in xdc.services.spec">xdc.services.spec.Persist.Fixup</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5710009880454690167L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>pkg</h4>
<pre>java.lang.String pkg</pre>
</li>
<li class="blockListLast">
<h4>decl</h4>
<pre>java.lang.String decl</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Pkg">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Pkg.html" title="class in xdc.services.spec">xdc.services.spec.Pkg</a> extends <a href="xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>2236555847538118936L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>interNames</h4>
<pre>java.util.List&lt;E&gt; interNames</pre>
</li>
<li class="blockList">
<h4>localSpecs</h4>
<pre>java.util.List&lt;E&gt; localSpecs</pre>
</li>
<li class="blockList">
<h4>otherSpecs</h4>
<pre>java.util.List&lt;E&gt; otherSpecs</pre>
</li>
<li class="blockList">
<h4>miscSrcs</h4>
<pre>java.util.List&lt;E&gt; miscSrcs</pre>
</li>
<li class="blockList">
<h4>modNames</h4>
<pre>java.util.List&lt;E&gt; modNames</pre>
</li>
<li class="blockList">
<h4>requires</h4>
<pre>java.util.List&lt;E&gt; requires</pre>
</li>
<li class="blockList">
<h4>units</h4>
<pre>java.util.List&lt;E&gt; units</pre>
</li>
<li class="blockList">
<h4>key</h4>
<pre>java.lang.String key</pre>
</li>
<li class="blockList">
<h4>vers</h4>
<pre>java.lang.String vers</pre>
</li>
<li class="blockList">
<h4>bundle</h4>
<pre>java.lang.String bundle</pre>
</li>
<li class="blockListLast">
<h4>baseDir</h4>
<pre>java.lang.String baseDir</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Ref">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Ref.html" title="class in xdc.services.spec">xdc.services.spec.Ref</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>6391260877086618330L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>scope</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> scope</pre>
</li>
<li class="blockList">
<h4>id</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> id</pre>
</li>
<li class="blockList">
<h4>node</h4>
<pre><a href="xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a> node</pre>
</li>
<li class="blockList">
<h4>prx</h4>
<pre><a href="xdc/services/spec/Decl.Proxy.html" title="class in xdc.services.spec">Decl.Proxy</a> prx</pre>
</li>
<li class="blockListLast">
<h4>local</h4>
<pre>boolean local</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.SessionRuntimeException">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/SessionRuntimeException.html" title="class in xdc.services.spec">xdc.services.spec.SessionRuntimeException</a> extends org.mozilla.javascript.EvaluatorException implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7134897190745766939L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>SESSION_ERROR</h4>
<pre>java.lang.String SESSION_ERROR</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Sup">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Sup.html" title="class in xdc.services.spec">xdc.services.spec.Sup</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1373089623744501363L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>iid</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> iid</pre>
</li>
<li class="blockList">
<h4>ref</h4>
<pre><a href="xdc/services/spec/Ref.html" title="class in xdc.services.spec">Ref</a> ref</pre>
</li>
<li class="blockListLast">
<h4>unit</h4>
<pre><a href="xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a> unit</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Type">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">xdc.services.spec.Type</a> extends java.lang.Object implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5646275176634845046L</dd>
</dl>
</li>
<li class="blockList"><a name="xdc.services.spec.Type.Array">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Type.Array.html" title="class in xdc.services.spec">xdc.services.spec.Type.Array</a> extends <a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>8764930492419867714L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>base</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> base</pre>
</li>
<li class="blockList">
<h4>dim</h4>
<pre><a href="xdc/services/spec/Expr.html" title="class in xdc.services.spec">Expr</a> dim</pre>
</li>
<li class="blockList">
<h4>kind</h4>
<pre><a href="xdc/services/spec/Type.Array.Kind.html" title="enum in xdc.services.spec">Type.Array.Kind</a> kind</pre>
</li>
<li class="blockListLast">
<h4>constElem</h4>
<pre>boolean constElem</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Type.Creator">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Type.Creator.html" title="class in xdc.services.spec">xdc.services.spec.Type.Creator</a> extends <a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-771646166657371561L</dd>
</dl>
</li>
<li class="blockList"><a name="xdc.services.spec.Type.Declarator">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Type.Declarator.html" title="class in xdc.services.spec">xdc.services.spec.Type.Declarator</a> extends <a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1024790156516858614L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>tspec</h4>
<pre><a href="xdc/services/spec/Type.Spec.html" title="class in xdc.services.spec">Type.Spec</a> tspec</pre>
</li>
<li class="blockListLast">
<h4>id</h4>
<pre><a href="xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a> id</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Type.Fxn">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Type.Fxn.html" title="class in xdc.services.spec">xdc.services.spec.Type.Fxn</a> extends <a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>4714104815468307967L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>base</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> base</pre>
</li>
<li class="blockList">
<h4>args</h4>
<pre>java.util.List&lt;E&gt; args</pre>
</li>
<li class="blockListLast">
<h4>isVarg</h4>
<pre>boolean isVarg</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Type.Paren">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Type.Paren.html" title="class in xdc.services.spec">xdc.services.spec.Type.Paren</a> extends <a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>2287194647505979584L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>base</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> base</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Type.Ptr">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Type.Ptr.html" title="class in xdc.services.spec">xdc.services.spec.Type.Ptr</a> extends <a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>8071706686749097693L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>base</h4>
<pre><a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> base</pre>
</li>
<li class="blockListLast">
<h4>mods</h4>
<pre>java.util.EnumSet&lt;E extends java.lang.Enum&lt;E&gt;&gt; mods</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Type.Spec">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Type.Spec.html" title="class in xdc.services.spec">xdc.services.spec.Type.Spec</a> extends <a href="xdc/services/spec/Type.html" title="class in xdc.services.spec">Type</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1847725876187637108L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>tref</h4>
<pre><a href="xdc/services/spec/Ref.html" title="class in xdc.services.spec">Ref</a> tref</pre>
</li>
<li class="blockList">
<h4>std</h4>
<pre>java.lang.String std</pre>
</li>
<li class="blockList">
<h4>isUns</h4>
<pre>boolean isUns</pre>
</li>
<li class="blockListLast">
<h4>mods</h4>
<pre>java.util.EnumSet&lt;E extends java.lang.Enum&lt;E&gt;&gt; mods</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="xdc.services.spec.Unit">
<!--   -->
</a>
<h3>Class <a href="xdc/services/spec/Unit.html" title="class in xdc.services.spec">xdc.services.spec.Unit</a> extends <a href="xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-1475297028398889384L</dd>
</dl>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>cfgs</h4>
<pre>java.util.List&lt;E&gt; cfgs</pre>
</li>
<li class="blockList">
<h4>creator</h4>
<pre><a href="xdc/services/spec/Decl.Fxn.html" title="class in xdc.services.spec">Decl.Fxn</a> creator</pre>
</li>
<li class="blockList">
<h4>curPass</h4>
<pre>int curPass</pre>
</li>
<li class="blockList">
<h4>custHdr</h4>
<pre>boolean custHdr</pre>
</li>
<li class="blockList">
<h4>decls</h4>
<pre>java.util.List&lt;E&gt; decls</pre>
</li>
<li class="blockList">
<h4>dlg</h4>
<pre><a href="xdc/services/spec/Sup.html" title="class in xdc.services.spec">Sup</a> dlg</pre>
</li>
<li class="blockList">
<h4>fxns</h4>
<pre>java.util.List&lt;E&gt; fxns</pre>
</li>
<li class="blockList">
<h4>icfgCnt</h4>
<pre>int icfgCnt</pre>
</li>
<li class="blockList">
<h4>ifxns</h4>
<pre>java.util.List&lt;E&gt; ifxns</pre>
</li>
<li class="blockList">
<h4>imps</h4>
<pre>java.util.List&lt;E&gt; imps</pre>
</li>
<li class="blockList">
<h4>inherits</h4>
<pre>boolean inherits</pre>
</li>
<li class="blockList">
<h4>iobjFlag</h4>
<pre>boolean iobjFlag</pre>
</li>
<li class="blockList">
<h4>isa</h4>
<pre><a href="xdc/services/spec/Sup.html" title="class in xdc.services.spec">Sup</a> isa</pre>
</li>
<li class="blockList">
<h4>mbrs</h4>
<pre>java.util.List&lt;E&gt; mbrs</pre>
</li>
<li class="blockList">
<h4>pkgName</h4>
<pre>java.lang.String pkgName</pre>
</li>
<li class="blockList">
<h4>proxy</h4>
<pre>boolean proxy</pre>
</li>
<li class="blockList">
<h4>prxs</h4>
<pre>java.util.List&lt;E&gt; prxs</pre>
</li>
<li class="blockList">
<h4>rtsFlag</h4>
<pre>boolean rtsFlag</pre>
</li>
<li class="blockList">
<h4>scfgCnt</h4>
<pre>int scfgCnt</pre>
</li>
<li class="blockList">
<h4>sizeFlag</h4>
<pre>boolean sizeFlag</pre>
</li>
<li class="blockListLast">
<h4>uses</h4>
<pre>java.util.Set&lt;E&gt; uses</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="xdc/services/spec/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
